MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026451Community[OCCT] OCCT:Data Exchangepublic2015-07-16 16:352016-04-20 15:50
Reporterventu 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionreopened 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026451: Crash importing STeP file
DescriptionImporting the attached file crashes OC.

I guess there are some invalid entities within, but other products seem to import the file fine (perhaps skipping them?).
Steps To ReproduceReadStep D test_STEP.stp
>> no exceptions should be caught
TagsNo tags attached.
Test case numberbugs step bug26451
Attached Fileszip file icon sample.zip (1,396,425 bytes) 2015-07-16 16:35

- Relationships

-  Notes
(0044713)
git (administrator)
2015-08-27 12:05

Branch CR26451 has been created by ika.

SHA-1: d508df35f4387d8914fae61278f04b0524878598


Detailed log of new commits:

Author: ika
Date: Thu Aug 27 12:02:35 2015 +0300

    0026451: Crash importing STeP file
    
    Add check for NULL.
(0044715)
ika (developer)
2015-08-27 12:08

Dear GKA,

could you please review branch CR26451?
(0044730)
gka (developer)
2015-08-27 12:59

Branch CR26451 is ready to be tested.
(0044765)
git (administrator)
2015-08-27 18:51

Branch CR26451 has been updated forcibly by mkv.

SHA-1: 52fd9db47ff64a09251474e478cb072d174291af
(0044817)
mkv (tester)
2015-08-28 15:40

Dear BugMaster,
Branch CR26451 was rebased on branch IR-2015-08-27 of occt git-repository.
SHA-1: 52fd9db47ff64a09251474e478cb072d174291af
(0044818)
mkv (tester)
2015-08-28 15:41

Dear BugMaster,
Branch CR26451 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 52fd9db47ff64a09251474e478cb072d174291af

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
http://occt-tests/CR26451-master-occt-64/Debian70-64/bugs/step/bug26451.html [^]
http://occt-tests/CR26451-master-occt-64/Windows-64-VC10/bugs/step/bug26451.html [^]
bugs step bug26451: OK

Testing on Linux:
occt component :
Total MEMORY difference: 91691452 / 91194310 [+0.55%]
Total CPU difference: 17791.019999999047 / 17162.189999999384 [+3.66%]
products component :
Total MEMORY difference: 25222027 / 25216901 [+0.02%]
Total CPU difference: 7036.710000000023 / 7037.939999999998 [-0.02%]

Testing on Windows:
occt component :
Total MEMORY difference: 57104601 / 57097637 [+0.01%]
Total CPU difference: 16486.092079399015 / 16461.10071919891 [+0.15%]
products component :
Total MEMORY difference: 16228596 / 16228570 [+0.00%]
Total CPU difference: 5317.169284199959 / 5334.079792599963 [-0.32%]

There are following differences in images found by testdiff.
There are no differences in images found by testdiff.
(0044819)
git (administrator)
2015-08-28 15:41

Branch CR26451 has been updated by mkv.

SHA-1: 7ae8975493e515945f428404a88e2128920c4b52


Detailed log of new commits:

Author: mkv
Date: Fri Aug 28 15:41:17 2015 +0300

    Test case for issue CR26451

(0044820)
mkv (tester)
2015-08-28 15:41

Dear ika,
could you please review following test case
bugs step bug26451
(0044882)
ika (developer)
2015-08-31 14:22

Dear MKV,

the test case is OK.
(0044886)
mkv (tester)
2015-08-31 15:12

Dear BugMaster,
Branch CR26451 is TESTED.
(0046980)
git (administrator)
2015-10-16 16:37

Branch CR26451 has been deleted by kgv.

SHA-1: 7ae8975493e515945f428404a88e2128920c4b52
(0047778)
ventu (reporter)
2015-11-03 20:05

Thanks, but this bug hasn't been fixed.

Consider the following code (more or less taken from the manuals):

Handle(XCAFApp_Application) App(XCAFApp_Application::GetApplication());
Handle(TDocStd_Document) Doc;
App->NewDocument("MDTV-XCAF",Doc);
STEPCAFControl_Reader reader;
if (reader.ReadFile(FileName)!=IFSelect_RetDone) throw
  std::runtime_error("OpenCASCADE STEP reading failed");
if (!reader.Transfer(Doc)) throw std::runtime_error("OpenCASCADE transfer failed");

6.9.0 would crash on "reader.ReadFile"; 6.9.1 will go on, but still crash on "reader.Trasnfer(Doc)".
There are still several null pointer checks needed.
(0047868)
git (administrator)
2015-11-06 12:02

Branch CR26451 has been created by ika.

SHA-1: dae80243549749bf489b59dfd587c7b99b900702


Detailed log of new commits:

Author: ika
Date: Fri Nov 6 11:47:53 2015 +0300

    0026451: Crash importing STeP file
    
    Add check for NULL.
(0047869)
ika (developer)
2015-11-06 12:06

Dear GKA,

could you please review branch CR26451?
(0048272)
gka (developer)
2015-11-17 11:11

Branch CR26451 is ready to be tested
(0048307)
git (administrator)
2015-11-17 16:51

Branch CR26451 has been updated forcibly by apv.

SHA-1: e0770a62b70f51ddcdb67b5a9e517c965cbcae18
(0048308)
apv (tester)
2015-11-17 16:52

Branch CR26451 has been rebased on the current master
(0048407)
apv (tester)
2015-11-20 12:43

Dear BugMaster,

Branch CR26451 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: e0770a62b70f51ddcdb67b5a9e517c965cbcae18

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MacOS: 129 (129 on master)
products component:
   Linux: 39 (39 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
bugs step bug26451 - OK
http://occt-tests/CR26451-master-occt-64/Debian70-64/bugs/step/bug26451.html [^]
http://occt-tests/CR26451-master-occt-64/Windows-64-VC10/bugs/step/bug26451.html [^]

Testing on Linux:
Total MEMORY difference: 92790930 / 92928671 [-0.15%]
Total CPU difference: 19870.069999999738 / 19784.679999999877 [+0.43%]

Testing on Windows:
Total MEMORY difference: 58087879 / 58096109 [-0.01%]
Total CPU difference: 18117.893739598912 / 18232.367273398875 [-0.63%]
(0053095)
git (administrator)
2016-04-17 14:14

Branch CR26451 has been deleted by kgv.

SHA-1: e0770a62b70f51ddcdb67b5a9e517c965cbcae18

- Related Changesets
occt: master d18c1ac0
Timestamp: 2015-09-03 11:36:27
Author: ika
Committer: bugmaster
Details ] Diff ]
0026451: Crash importing STeP file

Add check for NULL.

Test case for issue CR26451
mod - src/StepShape/StepShape_OrientedEdge.cxx Diff ] File ]
add - tests/bugs/step/bug26451 Diff ] File ]
add - tests/bugs/step/parse.rules Diff ] File ]
occt: master 53711314
Timestamp: 2015-11-06 08:47:53
Author: ika
Committer: bugmaster
Details ] Diff ]
0026451: Crash importing STeP file

Add check for NULL.
mod - src/STEPConstruct/STEPConstruct_Styles.cxx Diff ] File ]
mod - src/StepVisual/StepVisual_FillAreaStyle.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-16 16:35 ventu New Issue
2015-07-16 16:35 ventu Assigned To => gka
2015-07-16 16:35 ventu File Added: sample.zip
2015-08-20 15:48 gka Assigned To gka => ika
2015-08-20 15:48 gka Status new => assigned
2015-08-27 12:05 git Note Added: 0044713
2015-08-27 12:08 ika Note Added: 0044715
2015-08-27 12:08 ika Assigned To ika => gka
2015-08-27 12:08 ika Status assigned => resolved
2015-08-27 12:08 ika Steps to Reproduce Updated View Revisions
2015-08-27 12:59 gka Note Added: 0044730
2015-08-27 12:59 gka Assigned To gka => bugmaster
2015-08-27 12:59 gka Status resolved => reviewed
2015-08-27 18:51 git Note Added: 0044765
2015-08-27 19:00 mkv Assigned To bugmaster => mkv
2015-08-28 15:40 mkv Note Added: 0044817
2015-08-28 15:41 mkv Note Added: 0044818
2015-08-28 15:41 mkv Assigned To mkv => ika
2015-08-28 15:41 mkv Status reviewed => feedback
2015-08-28 15:41 git Note Added: 0044819
2015-08-28 15:41 mkv Note Added: 0044820
2015-08-28 15:42 mkv Test case number => bugs step bug26451
2015-08-31 14:22 ika Note Added: 0044882
2015-08-31 14:22 ika Assigned To ika => mkv
2015-08-31 14:22 ika Status feedback => reviewed
2015-08-31 15:12 mkv Note Added: 0044886
2015-08-31 15:12 mkv Assigned To mkv => bugmaster
2015-08-31 15:12 mkv Status reviewed => tested
2015-09-04 13:02 bugmaster Changeset attached => occt master d18c1ac0
2015-09-04 13:02 bugmaster Status tested => verified
2015-09-04 13:02 bugmaster Resolution open => fixed
2015-09-11 14:33 abv Target Version => 6.9.1
2015-10-16 14:55 user533 Status verified => closed
2015-10-16 16:37 git Note Added: 0046980
2015-10-23 20:50 user533 Fixed in Version => 6.9.1
2015-11-03 20:05 ventu Note Added: 0047778
2015-11-03 20:05 ventu Status closed => feedback
2015-11-03 20:05 ventu Resolution fixed => reopened
2015-11-05 10:25 bugmaster Assigned To bugmaster => ika
2015-11-05 10:25 bugmaster Status feedback => assigned
2015-11-06 12:02 git Note Added: 0047868
2015-11-06 12:06 ika Note Added: 0047869
2015-11-06 12:06 ika Assigned To ika => gka
2015-11-06 12:06 ika Status assigned => resolved
2015-11-06 12:06 ika Steps to Reproduce Updated View Revisions
2015-11-17 11:11 gka Note Added: 0048272
2015-11-17 11:11 gka Assigned To gka => bugmaster
2015-11-17 11:11 gka Status resolved => reviewed
2015-11-17 15:12 bugmaster Assigned To bugmaster => apv
2015-11-17 16:51 git Note Added: 0048307
2015-11-17 16:52 apv Note Added: 0048308
2015-11-20 12:43 apv Note Added: 0048407
2015-11-20 12:43 apv Assigned To apv => bugmaster
2015-11-20 12:43 apv Status reviewed => tested
2015-11-26 11:49 abv Fixed in Version 6.9.1 =>
2015-11-26 11:49 abv Target Version 6.9.1 => 7.0.0
2015-11-27 12:21 bugmaster Changeset attached => occt master 53711314
2015-11-27 12:21 bugmaster Status tested => verified
2016-04-17 14:14 git Note Added: 0053095
2016-04-20 15:42 user533 Fixed in Version => 7.0.0
2016-04-20 15:50 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker